%global commit abd44764e68a576009e3f89e8ea70d73603c1dc9
%global date 20191220
%global shortcommit0 %(c=%{commit}; echo ${c:0:7})

Name:           sane-escl
Version:        0.1
Release:        0.1%{?shortcommit0:.%{date}git%{shortcommit0}}%{?dist}
Summary:        Sane eSCL for Linux

License:        GPLv3
URL:            https://gitlab.com/sane-escl
Source0:        %{url}/sane-escl/-/archive/%{commit}/%{name}-%{shortcommit0}.tar.bz2

BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libjpeg-devel
BuildRequires:  sane-backends-devel
BuildRequires:  avahi-devel
BuildRequires:  gnutls-devel
BuildRequires:  libgcrypt-devel
#Requires:       

%description
eSCL backend for sane in Linux.
Backend sane implementing the eSCL protocol.

%prep
%autosetup -n %{name}-%{commit}
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static
%make_build

%install
%make_install
#Remove libtool archives.
find %buildroot -name '*.la' -or -name '*.a' | xargs rm -f

%files
%license COPYING
%doc AUTHORS README ChangeLog NEWS
%{_libdir}/sane/
%dir %{_sysconfdir}/sane.d/
%config %{_sysconfdir}/sane.d/escl.conf
%{_sysconfdir}/sane.d/dll.d/

%changelog
* Wed Jan 08 2020 Leigh Scott <leigh123linux@gmail.com> - 0.1-0.1.20191220gitabd4476
- Initial build 
